if [ -z "$1" ] ||[ -z "$2" ] ||[ -z "$3" ] ||[ -z "$4" ] ||[ -z "$5" ]; then

echo "Parameters: [Source IP] [Client VPN IP] [NIC] [VPN Server Port Muss 100% UDP sein] [Add/Del]"
exit

fi

if [ $5 = "Add" ]; then

/usr/sbin/ip6tables -t nat -A POSTROUTING -s $2 -o $3 -j SNAT --to-source $1
/usr/sbin/ip6tables -t nat  -A POSTROUTING -s $1 -o $3 -j SNAT --to-source $2

/usr/sbin/ip6tables -t nat  -A PREROUTING -i $3 -d $2 -p udp -j DNAT --to [$1]:$4
/usr/sbin/ip6tables -t nat  -A PREROUTING -s {Haupt-IPv6-Adresse-des-Rootservers} -p udp --dport $4 -j DNAT --to-destination $2

/usr/sbin/ip6tables -A INPUT -i $3 -p udp -m udp --dport $4 -j ACCEPT
/usr/sbin/ip6tables -A INPUT -i wg0 -j ACCEPT
/usr/sbin/ip6tables -A FORWARD -i wg0 -o $3 -j ACCEPT
/usr/sbin/ip6tables -A FORWARD -i $3 -o wg0 -j ACCEPT

ip6tables -t nat -A PREROUTING -d $1 -p udp -m udp -j DNAT --to-destination $2

ip6tables -t nat -A POSTROUTING -d $1 -p udp -m udp -j SNAT --to-source $2

ip6tables -t nat -A PREROUTING -d $1 -p tcp -m tcp -j DNAT --to-destination $2

ip6tables -t nat -A POSTROUTING -d $1 -p tcp -m tcp -j SNAT --to-source $2

ip6tables -t nat -A OUTPUT -d $1 -p tcp -j DNAT --to-destination $2

sudo ip6tables-save > /etc/iptables/rules.v6

fi

if [ $5 = "Del" ]; then

/usr/sbin/ip6tables -t nat -D POSTROUTING -s $2 -o $3 -j SNAT --to-source $1
/usr/sbin/ip6tables -t nat  -D POSTROUTING -s $1 -o $3 -j SNAT --to-source $2

/usr/sbin/ip6tables -t nat  -D PREROUTING -i $3 -d $2 -p udp -j DNAT --to [$1]:$4
/usr/sbin/ip6tables -t nat  -D PREROUTING -s {Haupt-IPv6-Adresse-des-Rootservers} -p udp --dport $4 -j DNAT --to-destination $2

/usr/sbin/ip6tables -D INPUT -i $3 -p udp -m udp --dport $4 -j ACCEPT
/usr/sbin/ip6tables -D INPUT -i wg0 -j ACCEPT
/usr/sbin/ip6tables -D FORWARD -i wg0 -o $3 -j ACCEPT
/usr/sbin/ip6tables -D FORWARD -i $3 -o wg0 -j ACCEPT

ip6tables -t nat -D PREROUTING -d $1 -p udp -m udp -j DNAT --to-destination $2

ip6tables -t nat -D POSTROUTING -d $1 -p udp -m udp -j SNAT --to-source $2

ip6tables -t nat -D PREROUTING -d $1 -p tcp -m tcp -j DNAT --to-destination $2

ip6tables -t nat -D POSTROUTING -d $1 -p tcp -m tcp -j SNAT --to-source $2

ip6tables -t nat -D OUTPUT -d $1 -p tcp -j DNAT --to-destination $2

sudo ip6tables-save > /etc/iptables/rules.v6


fi
